Subject: Re: bug#60359: 29.0.60; completion-auto-select set to t skips first argument when completing files

From: Philip Kaludercic <[email-masked]>
Date: Thu, 29 Dec 2022 16:25:43 +0000

Gregory Heytings <[email-masked]> writes:

>>
>> If the user option 'completion-auto-select' is set to t, then
>> pressing tab should pop up the completions buffer and select the
>> first option. This works well, unless a file name is being
>> completed.  In that case, tab doesn't jump to completion buffer.  In
>> fact it appears not to even open it by default.  A second press
>> opens the buffer, but only jumps if you don't do anything else for
>> about half a second.  A third press of the tab key jumps to the
>> second option.  So if you press tab three times, without waiting,
>> you always skip the first completion suggestion.
>>
>> The issue can be reproduced with emacs -Q, by evaluating (setq
>> completion-auto-select t) and then opening a file using C-x C-f, in
>> presumably any directory.
>>
>
> Thanks for your bug report.  If I set completion-auto-select in emacs
> -Q, C-x C-f C TAB (or TAB TAB, depending on the value of
> completion-auto-select) in the Emacs repository behaves as
> expected. However, C-x C-f src/ TAB does not.  Is the latter case what
> you have in mind, or do I misunderstand what you mean?  If not, the
> attached patch should fix that bug.

Yes, that is what I meant and the that fixed the bug.